<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Aplikasi Vue #7: Direktif untuk Perulangan</title>
  <!-- Menyisipkan Vuejs dari CDN -->
  <script src="https://cdn.jsdelivr.net/npm/vue"></script>
</head>

<body>

  <!-- elemen kontainer untuk aplikasi -->
  <div id="app">
    <input type="text" placeholder="Cari Buku" v-model="search"/>
    <ul>
        <li v-for="(item, index) in result" v-bind:key="item.title" v-bind:data-index="index">
          {{ item.title }}
        </li>
    </ul>
  </div>

  <script>
    var app = new Vue({
      el: "#app",
      data: {
        search : "",
        books: [
            {'title' : 'Kalkulus Dasar'},
            {'title' : 'Fisika Dasar'},
            {'title' : 'Aljabar Linear Elementer'},
            {'title' : 'Aljabar Abstrak'},
            {'title' : 'Algoritma Pemrograman'}
        ],
				result: [
            {'title' : 'Kalkulus Dasar'},
            {'title' : 'Fisika Dasar'},
            {'title' : 'Aljabar Linear Elementer'},
            {'title' : 'Aljabar Abstrak'},
            {'title' : 'Algoritma Pemrograman'}
        ]
      },
      watch: {
				search: function () {
					var vm = this
					vm.result = vm.books.filter(function (item){
							return item.title.toLowerCase().indexOf(vm.search.toLowerCase()) !== -1
					})
				}
			},
      methods: {
          
      }
    })
  </script>
</body>

</html>